-- ABS-49683
----   CONTRACTATTRIBUTE   -----
UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'ContractProductPricing'
WHERE CA.CONTRACTATTRIBUTE_ID = 101;
COMMIT;

UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'cbDelFreqRelatedPricing'
WHERE CA.CONTRACTATTRIBUTE_ID = 110;
COMMIT;

UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'RentPrice'
WHERE CA.CONTRACTATTRIBUTE_ID = 138;
COMMIT;

UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'WashPrice'
WHERE CA.CONTRACTATTRIBUTE_ID = 139;
COMMIT;

UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'SalesPrice'
WHERE CA.CONTRACTATTRIBUTE_ID = 140;
COMMIT;

UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'ReplacementPrice'
WHERE CA.CONTRACTATTRIBUTE_ID = 141;
COMMIT;

UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'InsurancePrice'
WHERE CA.CONTRACTATTRIBUTE_ID = 142;
COMMIT;

UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'RentDiscount'
WHERE CA.CONTRACTATTRIBUTE_ID = 143;
COMMIT;

UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = 'WashDiscount'
WHERE CA.CONTRACTATTRIBUTE_ID = 144;
COMMIT;

CREATE UNIQUE INDEX XAK2CONTRACTATTRIBUTE ON CONTRACTATTRIBUTE (INTERNALNAME ASC);

